import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 04.02.2007
  * @author
  */

public class Gui extends JFrame {
  // Anfang Variablen
  private JScrollPane jScrollPanejTextArea1 = new JScrollPane();
  private JTextArea jTextArea1 = new JTextArea("");
  private JTextField jTextField1 = new JTextField();
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  // Ende Variablen

  public Gui(String title) {
    // Frame-Initialisierung
    super(title);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { System.exit(0); }
    });
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2 ;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jScrollPanejTextArea1.setBounds(16, 40, 265, 89);
    jTextArea1.setText("");
    jScrollPanejTextArea1.setViewportView(jTextArea1);
    cp.add(jScrollPanejTextArea1);
    jTextField1.setBounds(16, 8, 121, 24);
    jTextField1.setText("Hier Text eingeben!");
    cp.add(jTextField1);
    jButton1.setBounds(144, 8, 51, 25);
    jButton1.setText("OK");
    cp.add(jButton1);
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1ActionPerformed(evt);
      }
    });

    jButton2.setBounds(208, 8, 75, 25);
    jButton2.setText("ENDE");
    cp.add(jButton2);
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton2ActionPerformed(evt);
      }
    });

    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Ereignisprozeduren
  public void jButton1ActionPerformed(ActionEvent evt) {
    jTextArea1.append(jTextField1.getText()+String.valueOf('\n'));
  }

  public void jButton2ActionPerformed(ActionEvent evt) {
    System.exit(0);
  }

  // Ende Ereignisprozeduren

  public static void main(String[] args) {
    new Gui("Gui");
  }
}

